import http from '@/api'
import type { BaseEntity, PageQuery, ResultPage } from '@/typings/api'

export interface Role extends BaseEntity {
  name: string
  dataScope: number
  description: string
  permissions?: string[]
}

export interface RoleQuery extends PageQuery {
  name?: string
}

export const getById = (id: string) => {
  return http.get<Role>(`/role/${id}`)
}

export const getList = (params: RoleQuery) => {
  return http.get<ResultPage<Role>>('/role', params)
}
