import type { FormField } from '@/components/FormParser/type'

export const useTime = function (field: FormField) {
  const { props } = field
  const { valueFormat } = props
  if (valueFormat) {
    const maps: Recordable<string[]> = {
      'HH:mm': ['hour', 'minute'],
      'HH:mm:ss': ['hour', 'minute', 'second']
    }
    props.columnsType = maps[valueFormat]
    if (props.isRange) {
      field.name = 'TimeRange'
      props.placeholder = `请选择${field.label}`
    }
  }
  delete props.style
}
