import type { CSSProperties } from 'vue'

/**
 * 字段
 */
export interface Field {
  name: string
  icon?: string
  props: Props
}

/**
 * 组件属性
 */
export interface Props extends Recordable {
  key?: string | number
  // 样式
  style?: CSSProperties
  // 类名
  class?: string[]
  // 选项
  options?: Options[]
  // 数据类型
  dataType?: 'static' | 'dynamic'
  // 数据源
  dataSource?: string
}

export interface Options {
  value: string | number
  label: string
  disabled?: boolean
}
