import type { RouteRecordRaw } from 'vue-router'
import Layout from '@/layout/index.vue'
import Login from '@/views/login/index.vue'
import tabbar from './tabbar'

const index: Array<RouteRecordRaw> = [
  {
    path: '/login',
    name: 'login',
    component: Login
  },
  {
    path: '/',
    name: 'Root',
    component: Layout,
    redirect: { name: 'Dashboard' },
    children: [...tabbar]
  },
  {
    path: '/handleTask',
    name: 'HandleTask',
    component: () => import('@/views/workbench/HandleTask.vue'),
    meta: {
      title: '处理任务',
      icon: 'apps-o',
      keepAlive: true
    }
  },
  {
    path: '/instanceDetails',
    name: 'InstanceDetails',
    component: () => import('@/views/workbench/InstanceDetails.vue'),
    meta: {
      title: '流程',
      icon: 'apps-o',
      keepAlive: true
    }
  },
  {
    path: '/startProcess',
    name: 'StartProcess',
    component: () => import('@/views/startProcess/index.vue'),
    meta: {
      title: '发起流程',
      icon: 'apps-o',
      keepAlive: true
    }
  },
  {
    path: '/preview',
    name: 'Preview',
    component: () => import('@/views/preview/index.vue'),
    meta: {
      title: '表单预览',
      icon: 'apps-o',
      keepAlive: true
    }
  }
]

export default index
