import { defineStore } from 'pinia'
import type { ConfigProviderTheme } from 'vant'

export type LanguageType = 'zh' | 'en'

interface GlobalState {
  darkMode: ConfigProviderTheme
  language: LanguageType
  primary: string
}

export const useGlobalStore = defineStore({
  id: 'app-global',
  state: (): GlobalState => ({
    darkMode: 'light',
    language: 'zh',
    primary: '#5d9dfe'
  }),
  getters: {},
  actions: {},
  persist: true
})
