export interface Result {
  code: number
  success: boolean
  message: string
}

export interface ResultData<T> extends Result {
  data: T
}

export interface ResultPage<T> {
  rows: T[]
  total: number
}

export interface CursorResult<T> {
  rows: T[]
  cursor: string
}

export interface PageQuery {
  page: number
  limit: number
}

export interface BaseEntity {
  id: string
}

export interface ResponseEntity extends BaseEntity {
  createdBy: string
  updatedBy: string
  createTime: string
  updateTime: string
}
