import type { Component, PropType } from 'vue'
import { ProcessStatus } from '@/api/modules/flow/instance'

export default defineComponent({
  props: {
    status: {
      type: Number as PropType<ProcessStatus>,
      required: true
    }
  },
  setup(props) {
    const statusMap: Record<ProcessStatus, Component> = {
      0: (
        <van-tag round plain type="primary">
          进行中
        </van-tag>
      ),
      1: (
        <van-tag round plain type="success">
          通过
        </van-tag>
      ),
      2: (
        <van-tag round plain type="warning">
          撤回
        </van-tag>
      ),
      3: (
        <van-tag round plain type="danger">
          拒绝
        </van-tag>
      ),
      4: (
        <van-tag round plain type="warning">
          退回
        </van-tag>
      )
    }
    return () => statusMap[props.status]
  }
})
